> ## Documentation Index
> Fetch the complete documentation index at: https://docs.specterops.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Health check

> Health check endpoint for Docker healthcheck



## OpenAPI

````yaml /nemesis-docs/docs/nemesis-api.json get /system/health
openapi: 3.1.0
info:
  title: Enrichment API
  description: API for file enrichment services
  version: 0.1.0
servers:
  - url: /api
security: []
tags:
  - name: files
    description: File management operations
  - name: workflows
    description: Workflow management operations
  - name: enrichments
    description: Enrichment management operations
  - name: system
    description: System and health check endpoints
paths:
  /system/health:
    get:
      tags:
        - system
      summary: Health check
      description: Health check endpoint for Docker healthcheck
      operationId: healthcheck_system_health_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HealthResponse'
components:
  schemas:
    HealthResponse:
      properties:
        status:
          type: string
          title: Status
          description: Health status of the service
      type: object
      required:
        - status
      title: HealthResponse
      description: Model representing health check response

````